#ifndef QS_DRIVEDEFS_H_
#define QS_DRIVEDEFS_H_
enum {
	DRIVE_TYPE_UNSUPPORTED		= 0,
	DRIVE_TYPE_VHP_DLTVS80		= 1,
	DRIVE_TYPE_VHP_DLTVS160		= 2,
	DRIVE_TYPE_VHP_SDLT220		= 3,
	DRIVE_TYPE_VHP_SDLT320		= 4,
	DRIVE_TYPE_VHP_SDLT600		= 5,
	DRIVE_TYPE_VQUANTUM_SDLT220		= 6,
	DRIVE_TYPE_VQUANTUM_SDLT320		= 7,
	DRIVE_TYPE_VQUANTUM_SDLT600		= 8,
	DRIVE_TYPE_VHP_ULT232		= 9,
	DRIVE_TYPE_VHP_ULT448		= 10,
	DRIVE_TYPE_VHP_ULT460		= 11,
	DRIVE_TYPE_VHP_ULT960		= 12,
	DRIVE_TYPE_VHP_ULT1840		= 13,
	DRIVE_TYPE_VHP_ULT3280		= 14,
	DRIVE_TYPE_VHP_ULT6250		= 15,
	DRIVE_TYPE_VIBM_3580ULT1		= 16,
	DRIVE_TYPE_VIBM_3580ULT2		= 17,
	DRIVE_TYPE_VIBM_3580ULT3		= 18,
	DRIVE_TYPE_VIBM_3580ULT4		= 19,
	DRIVE_TYPE_VIBM_3580ULT5		= 20,
	DRIVE_TYPE_VIBM_3580ULT6		= 21,
	DRIVE_TYPE_VSTK_T9840A		= 22,
	DRIVE_TYPE_VSTK_T9840B		= 23,
	DRIVE_TYPE_VSTK_T9840C		= 24,
	DRIVE_TYPE_VSTK_T9840D		= 25,
	DRIVE_TYPE_VSTK_T9940A		= 26,
	DRIVE_TYPE_VSTK_T9940B		= 27,
	DRIVE_TYPE_VSTK_T10000A		= 28,
	DRIVE_TYPE_VSTK_T10000B		= 29,
	DRIVE_TYPE_VSTK_T10000C		= 30,
	DRIVE_TYPE_VSTK_T10000D		= 31,
	DRIVE_TYPE_VQUANTUM_DLTVS80		= 32,
	DRIVE_TYPE_VQUANTUM_DLTVS160		= 33,
	DRIVE_TYPE_VHP_ULT15000		= 34,
	DRIVE_TYPE_VIBM_3580ULT7		= 35,
	DRIVE_TYPE_VHP_ULT30750		= 36,
	DRIVE_TYPE_VIBM_3580ULT8		= 37,
	DRIVE_TYPE_VHP_ULT45000		= 38,
	DRIVE_TYPE_VIBM_3580ULT9		= 39,
	DRIVE_TYPE_VQUADSTOR_VDRIVE		= 40,
};

#define DRIVE_NAME_UNSUPPORTED "Unsupported"
#define DRIVE_NAME_VHP_DLTVS80 "HP StorageWorks DLT VS80"
#define DRIVE_NAME_VHP_DLTVS160 "HP StorageWorks DLT VS160"
#define DRIVE_NAME_VHP_SDLT220 "HP StorageWorks SDLT 220"
#define DRIVE_NAME_VHP_SDLT320 "HP StorageWorks SDLT 320"
#define DRIVE_NAME_VHP_SDLT600 "HP StorageWorks SDLT 600"
#define DRIVE_NAME_VQUANTUM_SDLT220 "Quantum SDLT 220"
#define DRIVE_NAME_VQUANTUM_SDLT320 "Quantum SDLT 320"
#define DRIVE_NAME_VQUANTUM_SDLT600 "Quantum SDLT 600"
#define DRIVE_NAME_VHP_ULT232 "HP StorageWorks Ultrium 232"
#define DRIVE_NAME_VHP_ULT448 "HP StorageWorks Ultrium 448"
#define DRIVE_NAME_VHP_ULT460 "HP StorageWorks Ultrium 460"
#define DRIVE_NAME_VHP_ULT960 "HP StorageWorks Ultrium 960"
#define DRIVE_NAME_VHP_ULT1840 "HP StorageWorks Ultrium 1840"
#define DRIVE_NAME_VHP_ULT3280 "HP StoreEver Ultrium 3280"
#define DRIVE_NAME_VHP_ULT6250 "HP StoreEver Ultrium 6250"
#define DRIVE_NAME_VIBM_3580ULT1 "IBM 3580 Ultrium1"
#define DRIVE_NAME_VIBM_3580ULT2 "IBM 3580 Ultrium2"
#define DRIVE_NAME_VIBM_3580ULT3 "IBM 3580 Ultrium3"
#define DRIVE_NAME_VIBM_3580ULT4 "IBM 3580 Ultrium4"
#define DRIVE_NAME_VIBM_3580ULT5 "IBM 3580 Ultrium5"
#define DRIVE_NAME_VIBM_3580ULT6 "IBM 3580 Ultrium6"
#define DRIVE_NAME_VSTK_T9840A  "StorageTek T9840A"
#define DRIVE_NAME_VSTK_T9840B  "StorageTek T9840B"
#define DRIVE_NAME_VSTK_T9840C  "StorageTek T9840C"
#define DRIVE_NAME_VSTK_T9840D  "StorageTek T9840D"
#define DRIVE_NAME_VSTK_T9940A  "StorageTek T9940A"
#define DRIVE_NAME_VSTK_T9940B  "StorageTek T9940B"
#define DRIVE_NAME_VSTK_T10000A  "StorageTek T10000A"
#define DRIVE_NAME_VSTK_T10000B  "StorageTek T10000B"
#define DRIVE_NAME_VSTK_T10000C  "StorageTek T10000C"
#define DRIVE_NAME_VSTK_T10000D  "StorageTek T10000D"
#define DRIVE_NAME_VQUANTUM_DLTVS80 "Quantum DLT VS80"
#define DRIVE_NAME_VQUANTUM_DLTVS160 "Quantum DLT VS160"
#define DRIVE_NAME_VHP_ULT15000 "HP StoreEver Ultrium 15000"
#define DRIVE_NAME_VIBM_3580ULT7 "IBM 3580 Ultrium7"
#define DRIVE_NAME_VHP_ULT30750 "HP StoreEver Ultrium 30750"
#define DRIVE_NAME_VIBM_3580ULT8 "IBM 3580 Ultrium8"
#define DRIVE_NAME_VHP_ULT45000 "HP StoreEver Ultrium 45000"
#define DRIVE_NAME_VIBM_3580ULT9 "IBM 3580 Ultrium9"
#define DRIVE_NAME_VQUADSTOR_VDRIVE "QUADStor VDrive"

enum {
	LIBRARY_TYPE_UNSUPPORTED		= 0,
	LIBRARY_TYPE_VADIC_SCALAR24		= 1,
	LIBRARY_TYPE_VADIC_SCALAR100		= 2,
	LIBRARY_TYPE_VADIC_SCALARi2000		= 3,
	LIBRARY_TYPE_VHP_ESL9000		= 4,
	LIBRARY_TYPE_VHP_ESLSERIES		= 5,
	LIBRARY_TYPE_VHP_EMLSERIES		= 6,
	LIBRARY_TYPE_VIBM_3583		= 7,
	LIBRARY_TYPE_VIBM_3584		= 8,
	LIBRARY_TYPE_VIBM_TS3100		= 9,
	LIBRARY_TYPE_VHP_MSLSERIES		= 10,
	LIBRARY_TYPE_VHP_MSL6000		= 11,
	LIBRARY_TYPE_VOVL_NEOSERIES		= 12,
	LIBRARY_TYPE_VSTK_L20		= 13,
	LIBRARY_TYPE_VSTK_L40		= 14,
	LIBRARY_TYPE_VSTK_L80		= 15,
	LIBRARY_TYPE_VSTK_L120		= 16,
	LIBRARY_TYPE_VSTK_L180		= 17,
	LIBRARY_TYPE_VSTK_L700		= 18,
	LIBRARY_TYPE_VSTK_L1400		= 19,
	LIBRARY_TYPE_VSTK_SL150		= 20,
	LIBRARY_TYPE_VSTK_SL500		= 21,
	LIBRARY_TYPE_VSTK_SL3000		= 22,
	LIBRARY_TYPE_VSTK_SL8500		= 23,
	LIBRARY_TYPE_VSPECTRA_2K		= 24,
	LIBRARY_TYPE_VSPECTRA_20K		= 25,
	LIBRARY_TYPE_VSPECTRA_T24		= 26,
	LIBRARY_TYPE_VSPECTRA_TSERIES		= 27,
	LIBRARY_TYPE_VADIC_SCALAR50		= 28,
	LIBRARY_TYPE_VADIC_SCALARi4080		= 29,
	LIBRARY_TYPE_VADIC_SCALARi500		= 30,
	LIBRARY_TYPE_VADIC_SCALARi6000		= 31,
	LIBRARY_TYPE_VQUANTUM_M1500		= 32,
	LIBRARY_TYPE_VQUANTUM_M2500		= 33,
	LIBRARY_TYPE_VQUANTUM_P1000		= 34,
	LIBRARY_TYPE_VQUANTUM_P2000		= 35,
	LIBRARY_TYPE_VQUANTUM_P3000		= 36,
	LIBRARY_TYPE_VQUANTUM_P4000		= 37,
	LIBRARY_TYPE_VQUANTUM_P7000		= 38,
	LIBRARY_TYPE_VQUANTUM_PX500		= 39,
	LIBRARY_TYPE_VQUANTUM_PX720		= 40,
	LIBRARY_TYPE_VOVL_NEOSERIES3RDGEN		= 41,
	LIBRARY_TYPE_VOVL_NEOXLSERIES		= 42,
	LIBRARY_TYPE_VQUADSTOR_VTL		= 43,
};

#define LIBRARY_NAME_UNSUPPORTED "Unsupported"
#define LIBRARY_NAME_VADIC_SCALAR24 "ADIC Scalar 24"
#define LIBRARY_NAME_VADIC_SCALAR100 "ADIC Scalar 100"
#define LIBRARY_NAME_VADIC_SCALARi2000 "ADIC Scalar i2000"
#define LIBRARY_NAME_VHP_ESL9000 "HP StorageWorks ESL9000"
#define LIBRARY_NAME_VHP_ESLSERIES "HP StorageWorks ESL E-Series"
#define LIBRARY_NAME_VHP_EMLSERIES "HP StorageWorks EML E-Series"
#define LIBRARY_NAME_VIBM_3583 "IBM 3583 Ultrium Scalable Library"
#define LIBRARY_NAME_VIBM_3584 "IBM 3584 Ultra Scalable Library"
#define LIBRARY_NAME_VIBM_TS3100 "IBM System Storage TS3100"
#define LIBRARY_NAME_VHP_MSLSERIES "HP StorageWorks MSL 2024/4048/8096"
#define LIBRARY_NAME_VHP_MSL6000 "HP StorageWorks MSL 6000"
#define LIBRARY_NAME_VOVL_NEOSERIES "Overland NEO E-Series"
#define LIBRARY_NAME_VSTK_L20 "StorageTek L20 Library"
#define LIBRARY_NAME_VSTK_L40 "StorageTek L40 Library"
#define LIBRARY_NAME_VSTK_L80 "StorageTek L80 Library"
#define LIBRARY_NAME_VSTK_L120 "StorageTek L120 Library"
#define LIBRARY_NAME_VSTK_L180 "StorageTek L180 Library"
#define LIBRARY_NAME_VSTK_L700 "StorageTek L700 Library"
#define LIBRARY_NAME_VSTK_L1400 "StorageTek L1400/700e Library"
#define LIBRARY_NAME_VSTK_SL150 "StorageTek SL150 Modular Library"
#define LIBRARY_NAME_VSTK_SL500 "StorageTek SL500 Modular Library"
#define LIBRARY_NAME_VSTK_SL3000 "StorageTek SL3000 Modular Library"
#define LIBRARY_NAME_VSTK_SL8500 "StorageTek SL8500 Modular Library"
#define LIBRARY_NAME_VSPECTRA_2K "SpectraLogic 2K/TreeFrog Library"
#define LIBRARY_NAME_VSPECTRA_20K "SpectraLogic 12/20/64K Library"
#define LIBRARY_NAME_VSPECTRA_T24 "SpectraLogic T24 Library"
#define LIBRARY_NAME_VSPECTRA_TSERIES "SpectraLogic T-Series Library"
#define LIBRARY_NAME_VADIC_SCALAR50 "Quantum/ADIC Scalar 50"
#define LIBRARY_NAME_VADIC_SCALARi4080 "Quantum/ADIC Scalar i40/80 Series"
#define LIBRARY_NAME_VADIC_SCALARi500 "Quantum/ADIC Scalar i500"
#define LIBRARY_NAME_VADIC_SCALARi6000 "Quantum/ADIC Scalar i6000"
#define LIBRARY_NAME_VQUANTUM_M1500 "ATL M1500"
#define LIBRARY_NAME_VQUANTUM_M2500 "ATL M2500"
#define LIBRARY_NAME_VQUANTUM_P1000 "ATL P1000"
#define LIBRARY_NAME_VQUANTUM_P2000 "ATL P2000"
#define LIBRARY_NAME_VQUANTUM_P3000 "ATL P3000"
#define LIBRARY_NAME_VQUANTUM_P4000 "ATL P4000"
#define LIBRARY_NAME_VQUANTUM_P7000 "ATL P7000"
#define LIBRARY_NAME_VQUANTUM_PX500 "Quantum PX500 Series"
#define LIBRARY_NAME_VQUANTUM_PX720 "Quantum PX720"
#define LIBRARY_NAME_VOVL_NEOSERIES3RDGEN "Overland NEO Series 3rd Gen"
#define LIBRARY_NAME_VOVL_NEOXLSERIES "Overland NEOxl Series"
#define LIBRARY_NAME_VQUADSTOR_VTL "QUADStor VTL"

enum {
	VOL_TYPE_UNSUPPORTED		= 0,
	VOL_TYPE_CLEANING		= 1,
	VOL_TYPE_DIAGNOSTICS		= 2,
	VOL_TYPE_DLT_4		= 3,
	VOL_TYPE_VSTAPE		= 4,
	VOL_TYPE_SDLT_1		= 5,
	VOL_TYPE_SDLT_2		= 6,
	VOL_TYPE_SDLT_3		= 7,
	VOL_TYPE_LTO_1		= 8,
	VOL_TYPE_LTO_2		= 9,
	VOL_TYPE_LTO_3		= 10,
	VOL_TYPE_LTO_4		= 11,
	VOL_TYPE_LTO_5		= 12,
	VOL_TYPE_LTO_6		= 13,
	VOL_TYPE_LTO_7		= 14,
	VOL_TYPE_T9840_A		= 15,
	VOL_TYPE_T9840_B		= 16,
	VOL_TYPE_T9840_C		= 17,
	VOL_TYPE_T9840_D		= 18,
	VOL_TYPE_T9940_A		= 19,
	VOL_TYPE_T9940_B		= 20,
	VOL_TYPE_T10000_A		= 21,
	VOL_TYPE_T10000_B		= 22,
	VOL_TYPE_T10000_C		= 23,
	VOL_TYPE_T10000_D		= 24,
	VOL_TYPE_LTO_M8		= 25,
	VOL_TYPE_LTO_8		= 26,
	VOL_TYPE_LTO_9		= 27,
};

#define VOL_NAME_UNSUPPORTED "Unsupported"
#define VOL_NAME_CLEANING "Cleaning"
#define VOL_NAME_DIAGNOSTICS "Diagnostics"
#define VOL_NAME_DLT_4 "DLT IV 40GB"
#define VOL_NAME_VSTAPE "VSTape 80GB"
#define VOL_NAME_SDLT_1 "SuperDLT I 110GB"
#define VOL_NAME_SDLT_2 "SuperDLT I 160GB"
#define VOL_NAME_SDLT_3 "SuperDLT II 320GB"
#define VOL_NAME_LTO_1 "LTO 1 100GB"
#define VOL_NAME_LTO_2 "LTO 2 200GB"
#define VOL_NAME_LTO_3 "LTO 3 400GB"
#define VOL_NAME_LTO_4 "LTO 4 800GB"
#define VOL_NAME_LTO_5 "LTO 5 1500GB"
#define VOL_NAME_LTO_6 "LTO 6 2500GB"
#define VOL_NAME_LTO_7 "LTO 7 6000GB"
#define VOL_NAME_T9840_A "T9840A 20GB"
#define VOL_NAME_T9840_B "T9840B 20GB"
#define VOL_NAME_T9840_C "T9840C 40GB"
#define VOL_NAME_T9840_D "T9840D 75GB"
#define VOL_NAME_T9940_A "T9940A 60GB"
#define VOL_NAME_T9940_B "T9940B 200GB"
#define VOL_NAME_T10000_A "T10000A 500GB"
#define VOL_NAME_T10000_B "T10000A 1000GB"
#define VOL_NAME_T10000_C "T10000C 5000GB"
#define VOL_NAME_T10000_D "T10000D 8500GB"
#define VOL_NAME_LTO_M8 "LTO M8 9000GB"
#define VOL_NAME_LTO_8 "LTO 8 12000GB"
#define VOL_NAME_LTO_9 "LTO 9 18000GB"

#define VOL_SIZE_UNSUPPORTED 0
#define VOL_SIZE_CLEANING 0
#define VOL_SIZE_DIAGNOSTICS 0
#define VOL_SIZE_DLT_4 40
#define VOL_SIZE_VSTAPE 80
#define VOL_SIZE_SDLT_1 110
#define VOL_SIZE_SDLT_2 160
#define VOL_SIZE_SDLT_3 320
#define VOL_SIZE_LTO_1 100
#define VOL_SIZE_LTO_2 200
#define VOL_SIZE_LTO_3 400
#define VOL_SIZE_LTO_4 800
#define VOL_SIZE_LTO_5 1500
#define VOL_SIZE_LTO_6 2500
#define VOL_SIZE_LTO_7 6000
#define VOL_SIZE_T9840_A 20
#define VOL_SIZE_T9840_B 20
#define VOL_SIZE_T9840_C 40
#define VOL_SIZE_T9840_D 75
#define VOL_SIZE_T9940_A 60
#define VOL_SIZE_T9940_B 200
#define VOL_SIZE_T10000_A 500
#define VOL_SIZE_T10000_B 1000
#define VOL_SIZE_T10000_C 5000
#define VOL_SIZE_T10000_D 8500
#define VOL_SIZE_LTO_M8 9000
#define VOL_SIZE_LTO_8 12000
#define VOL_SIZE_LTO_9 18000

static __inline uint64_t
get_vol_size_default(int voltype)
{
	uint64_t size_in_gb = 0;

	switch (voltype) {
	case VOL_TYPE_CLEANING:
		size_in_gb = VOL_SIZE_CLEANING;
		break;
	case VOL_TYPE_DIAGNOSTICS:
		size_in_gb = VOL_SIZE_DIAGNOSTICS;
		break;
	case VOL_TYPE_DLT_4:
		size_in_gb = VOL_SIZE_DLT_4;
		break;
	case VOL_TYPE_VSTAPE:
		size_in_gb = VOL_SIZE_VSTAPE;
		break;
	case VOL_TYPE_SDLT_1:
		size_in_gb = VOL_SIZE_SDLT_1;
		break;
	case VOL_TYPE_SDLT_2:
		size_in_gb = VOL_SIZE_SDLT_2;
		break;
	case VOL_TYPE_SDLT_3:
		size_in_gb = VOL_SIZE_SDLT_3;
		break;
	case VOL_TYPE_LTO_1:
		size_in_gb = VOL_SIZE_LTO_1;
		break;
	case VOL_TYPE_LTO_2:
		size_in_gb = VOL_SIZE_LTO_2;
		break;
	case VOL_TYPE_LTO_3:
		size_in_gb = VOL_SIZE_LTO_3;
		break;
	case VOL_TYPE_LTO_4:
		size_in_gb = VOL_SIZE_LTO_4;
		break;
	case VOL_TYPE_LTO_5:
		size_in_gb = VOL_SIZE_LTO_5;
		break;
	case VOL_TYPE_LTO_6:
		size_in_gb = VOL_SIZE_LTO_6;
		break;
	case VOL_TYPE_LTO_7:
		size_in_gb = VOL_SIZE_LTO_7;
		break;
	case VOL_TYPE_T9840_A:
		size_in_gb = VOL_SIZE_T9840_A;
		break;
	case VOL_TYPE_T9840_B:
		size_in_gb = VOL_SIZE_T9840_B;
		break;
	case VOL_TYPE_T9840_C:
		size_in_gb = VOL_SIZE_T9840_C;
		break;
	case VOL_TYPE_T9840_D:
		size_in_gb = VOL_SIZE_T9840_D;
		break;
	case VOL_TYPE_T9940_A:
		size_in_gb = VOL_SIZE_T9940_A;
		break;
	case VOL_TYPE_T9940_B:
		size_in_gb = VOL_SIZE_T9940_B;
		break;
	case VOL_TYPE_T10000_A:
		size_in_gb = VOL_SIZE_T10000_A;
		break;
	case VOL_TYPE_T10000_B:
		size_in_gb = VOL_SIZE_T10000_B;
		break;
	case VOL_TYPE_T10000_C:
		size_in_gb = VOL_SIZE_T10000_C;
		break;
	case VOL_TYPE_T10000_D:
		size_in_gb = VOL_SIZE_T10000_D;
		break;
	case VOL_TYPE_LTO_M8:
		size_in_gb = VOL_SIZE_LTO_M8;
		break;
	case VOL_TYPE_LTO_8:
		size_in_gb = VOL_SIZE_LTO_8;
		break;
	case VOL_TYPE_LTO_9:
		size_in_gb = VOL_SIZE_LTO_9;
		break;
	}
	if (!size_in_gb)
		return 0;
	return (size_in_gb * 1024 * 1024 * 1024);
}
#endif /* QS_DRIVEDEFS_H_ */
