
function ValidString(str){
	var re = /[^a-zA-Z0-9_\-]/

	if (re.test(str))
	{
		return false;
	}
	return true;
}

function ValidVendorString(str){
	var re = /[^a-zA-Z0-9_\-] /

	if (re.test(str))
	{
		return false;
	}
	return true;
}

function checkform()
{
	var frm = document.getElementById('addchangerdef');

	if (!frm.name.value) {
		alert("Name cannot be empty");
		return false;
	}

	if (!ValidString(frm.name.value)) {
		alert("Name can only contain alphabets or numbers");
		return false;
	}

	if (!frm.vendor.value || frm.vendor.length > 8) {
		alert("Invalid vendor string length");
		return false;
	}

	if (!ValidVendorString(frm.vendor.value)) {
		alert("Vendor can only contain alphabets or numbers");
		return false;
	}

	if (!frm.product.value || frm.product.length > 16) {
		alert("Invalid product string length");
		return false;
	}

	if (!ValidVendorString(frm.product.value)) {
		alert("Product can only contain alphabets or numbers");
		return false;
	}

	if (!frm.revision.value || frm.revision.length > 4) {
		alert("Invalid revision string length");
		return false;
	}

	if (!ValidVendorString(frm.revision.value)) {
		alert("Product can only contain alphabets or numbers");
		return false;
	}

	if (frm.seriallen.value < 6 || frm.seriallen.value > 32) {
		alert("Serial length cannot be less than 6 or greater than 32");
		return false;
	}

	if (frm.inquirylen.value < 36 || frm.inquirylen.value > 96 ) {
		alert("Serial length cannot be less than 36 or greater than 96");
		return false;
	}

	return true;
}
