#!/bin/bash
#wrapper script for rclone copy
impexp=$1
rcloneconf=$2
locallog=$3
localfile=$4
remotefile=$5
bandwidth=$6
md5=$7

dir=`dirname $0`
. $dir/rcloneops.sh

# Source rclone.conf to override defaults
if [ -f $rcloneconf ]; then
	. $rcloneconf
fi

if  [ "$remotename" = "" ]; then
	exit 22 
fi

rclone_copy $remotename $impexp $locallog $localfile $remotefile $bandwidth 0 $md5
