#ifndef QS_MISSINGDEFS_H_
#define QS_MISSINGDEFS_H_	1

#define INVALID_COMMAND_OPERATION_CODE_ASC		0x20
#define INVALID_COMMAND_OPERATION_CODE_ASCQ		0x00

#define INTERNAL_TARGET_FAILURE_ASC			0x44
#define INTERNAL_TARGET_FAILURE_ASCQ			0x00

#define COMMAND_PHASE_ERROR_ASC				0x4A
#define COMMAND_PHASE_ERROR_ASCQ			0x00

#define COMMANDS_CLEARED_BY_ANOTHER_INITIATOR_ASC	0x2F
#define COMMANDS_CLEARED_BY_ANOTHER_INITIATOR_ASCQ	0x00

#define LOGICAL_UNIT_IS_IN_PROCESS_OF_BECOMING_READY_ASC	0x04
#define LOGICAL_UNIT_IS_IN_PROCESS_OF_BECOMING_READY_ASCQ	0x01

#define LOGICAL_UNIT_NOT_CONFIGURED_ASC			0x68
#define LOGICAL_UNIT_NOT_CONFIGURED_ASCQ		0x00

#define LOGICAL_UNIT_NOT_SUPPORTED_ASC			0x25
#define LOGICAL_UNIT_NOT_SUPPORTED_ASCQ			0x00

#define INVALID_FIELD_IN_CDB_ASC			0x24
#define INVALID_FIELD_IN_CDB_ASCQ			0x00

#define LOGICAL_UNIT_NOT_CONFIGURED_ASC			0x68
#define LOGICAL_UNIT_NOT_CONFIGURED_ASCQ		0x00

#ifndef SYNCHRONIZE_CACHE_16
#define SYNCHRONIZE_CACHE_16		0x91
#endif

#ifndef VERIFY_12 
#define VERIFY_12			0xaf
#endif

#ifndef VERIFY_16 
#define VERIFY_16			0x8f
#endif

#ifndef UNMAP
#define UNMAP				0x42
#endif

#ifndef WRITE_SAME
#define WRITE_SAME			0x41
#endif

#ifndef WRITE_SAME_16
#define WRITE_SAME_16			0x93
#endif

#ifndef SECURITY_PROTOCOL_IN
#define SECURITY_PROTOCOL_IN		0xA2
#endif

#ifndef SECURITY_PROTOCOL_OUT
#define SECURITY_PROTOCOL_OUT		0xB5
#endif

#ifndef EXTENDED_COPY
#define EXTENDED_COPY			0x83
#endif

#ifndef RECEIVE_COPY_RESULTS
#define RECEIVE_COPY_RESULTS		0x84
#endif

#ifndef COMPARE_AND_WRITE
#define COMPARE_AND_WRITE		0x89
#endif

#ifndef PERSISTENT_RESERVE_IN
#define PERSISTENT_RESERVE_IN		0x5e
#endif

#ifndef PERSISTENT_RESERVE_OUT
#define PERSISTENT_RESERVE_OUT		0x5f
#endif

#ifndef UNMAP
#define UNMAP				0x42
#endif

#ifndef WRITE_ATTRIBUTE
#define WRITE_ATTRIBUTE			0x8D
#endif

#ifndef WRITE_DYNAMIC_RUNTIME_ATTRIBUTE
#define WRITE_DYNAMIC_RUNTIME_ATTRIBUTE		0xD2
#endif

#ifndef SPACE_16
#define SPACE_16			0x91
#endif

#define VENDOR_ID_QUADSTOR		"QUADSTOR"
#define PRODUCT_ID_QUADSTOR_FCBRIDGE	"FCSCBRIDGE"
#define PRODUCT_REVISION_QUADSTOR	"2.0"

#define STANDARD_INQUIRY_LEN_SPC3	96
#define ANSI_VERSION_SCSI3_SPC3		0x05 /* SPC3 */
#define RESPONSE_DATA			0x02 /* SPC-3  and SPC2-3*/
#define VITAL_PRODUCT_DATA_PAGE		0x00
#define UNIT_SERIAL_NUMBER_PAGE		0x80
#define DEVICE_IDENTIFICATION_PAGE	0x83
#define UNIT_IDENTIFIER_T10_VENDOR_ID		0x01

#ifndef RECEIVE_DIAGNOSTIC_RESULTS
#define RECEIVE_DIAGNOSTIC_RESULTS	0x1C
#endif

#ifndef FORMAT_MEDIUM
#define FORMAT_MEDIUM			0x04
#endif

#ifndef REWIND
#define REWIND				0x01
#endif
#ifndef LOCATE
#define LOCATE				0x2B
#endif
#ifndef LOCATE_16
#define LOCATE_16			0x92
#endif

#ifndef SPACE_16
#define SPACE_16			0x91
#endif

#ifndef REPORT_DENSITY_SUPPORT
#define REPORT_DENSITY_SUPPORT		0x44
#endif
#endif
